#include "stdafx.h"
#include "Mix/Tool/CLR/Math/Matrix.h"

namespace Mix{ namespace Tool{ namespace Math{

Matrix::Matrix( void ) :
x( 1.0f, 0.0f, 0.0f, 0.0f ),
y( 0.0f, 1.0f, 0.0f, 0.0f ),
z( 0.0f, 0.0f, 1.0f, 0.0f ),
w( 0.0f, 0.0f, 0.0f, 1.0f )
{
}

Matrix::Matrix( Matrix% m ) :
x( m.x ),
y( m.y ),
z( m.z ),
w( m.w )
{
}

Matrix::Matrix( Matrix^ m ) :
x( m->x ),
y( m->y ),
z( m->z ),
w( m->w )
{
}

Matrix::Matrix( float m00, float m01, float m02, float m03,
				float m10, float m11, float m12, float m13,
				float m20, float m21, float m22, float m23,
				float m30, float m31, float m32, float m33 ) :
x( m00, m01, m02, m03 ),
y( m10, m11, m12, m13 ),
z( m20, m21, m22, m23 ),
w( m30, m31, m32, m33 )
{
}

}}}
